%define svn_revision 39
%define snapshot_date 20071107

Name:           upslug2
Version:        0.0
Release:        0.6.%{snapshot_date}.svn%{svn_revision}%{?dist}
Summary:        Firmware update utility for the nslu2
Group:          Development/Tools
License:        MIT
URL:            http://www.nslu2-linux.org/wiki/Main/UpSlug2
# To recreate:
# svn export -r %{svn_revision} http://svn.nslu2-linux.org/svnroot/upslug2/trunk %{name}
# tar cvfz %{name}-svn-%{svn_revision}.tar.gz %{name}
Source0:        %{name}-svn-%{svn_revision}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  automake libpcap-devel

%description
upslug2 is a command line program intended to allow the upgrade of a LinkSys
NSLU2 firmware to new or different versions.  Unlike upslug and the LinkSys
(Sercomm) upgrade utilities, upslug2 will synthesise a complete 'image'
from a kernel and a root file system, as such it duplicates part of the
functionality of 'slugimage'.

upslug2 also optimizes the upload to avoid transmitted parts of the image which
need not be written or are 'blank' (set to the erased flash value of all 1's).


%prep
%setup -q -n %{name}
autoreconf -i


%build
%configure --with-libpcap
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
install -p -m 644 upslug2.8 $RPM_BUILD_ROOT/%{_mandir}/man8


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_sbindir}/upslug2
%{_mandir}/man8/upslug2.8.gz


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-0.6.20071107.svn39
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-0.5.20071107.svn39
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-0.4.20071107.svn39
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.0-0.3.20071107.svn39
- Autorebuild for GCC 4.3

* Wed Nov  7 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.0-0.2.20071107.svn39
- Add snapshot date to release field (bz 350181)
- Do not repeat the package name in the summary (bz 350181)

* Wed Oct 24 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.0-0.1.svn39
- Initial Fedora package
